rem All user, admin, dev, error and fatal events in order of occurrence
rem Prompts for the collection name if cllctn not already defined.

select 'User' EVENT, epid, to_char(timestamp, 'DD-MON-YY HH24:MI') timestamp, 
       timestamp_nano, function_id, probe_id, message
from v_192216243_f_115_e_1_v3_0 u, epc_collection c
where c.collection_name = '&&cllctn' and
      c.collection_id = u.collection_number
UNION
select 'Admin' EVENT, epid, to_char(timestamp, 'DD-MON-YY HH24:MI') timestamp, 
       timestamp_nano, function_id, probe_id, message
from v_192216243_f_115_e_2_v3_0 a, epc_collection c
where c.collection_name = '&&cllctn' and
      c.collection_id = a.collection_number
UNION
select 'Dev' EVENT, epid, to_char(timestamp, 'DD-MON-YY HH24:MI') timestamp, 
       timestamp_nano, function_id, probe_id, message
from v_192216243_f_115_e_3_v3_0 d, epc_collection c
where c.collection_name = '&&cllctn' and
      c.collection_id = d.collection_number
UNION
select 'Error' EVENT, epid, to_char(timestamp, 'DD-MON-YY HH24:MI') timestamp, 
       timestamp_nano, function_id, probe_id, message
from v_192216243_f_115_e_12_v3_0 r, epc_collection c
where c.collection_name = '&&cllctn' and
      c.collection_id = r.collection_number
UNION
select 'Fatal' EVENT, epid, to_char(timestamp, 'DD-MON-YY HH24:MI') timestamp, 
       timestamp_nano, function_id, probe_id, message
from v_192216243_f_115_e_13_v3_0 f, epc_collection c
where c.collection_name = '&&cllctn' and
      c.collection_id = f.collection_number
order by timestamp, timestamp_nano;
